Package skyview.process.imagefinder

# Class GalexExposure

java.lang.Object
skyview.process.ImageFinder
skyview.process.imagefinder.RectRecurse
skyview.process.imagefinder.MaxExposure
skyview.process.imagefinder.GalexExposure

public class GalexExposure extends MaxExposure
This class extends the MaxExposure class to handle GALEX images where the center of the field is not necessarily the center of the exposed data.

## Field Summary

### Fields inherited from class skyview.process.imagefinder.RectRecurse

`CONSUMED, fromOut, NO_COVERAGE, NON_PHYSICAL, SPLIT_X, SPLIT_XY, SPLIT_Y, UNCHECKED`

## Constructor Summary

Constructors
Constructor
Description
`GalexExposure()`

## Method Summary

Modifier and Type
Method
Description
`protected double`
`radiusSquared(double tx, double ty, double nx, double ny, int index, Image input)`
Find the square of the offset from the center of the field of view.

### Methods inherited from class skyview.process.imagefinder.MaxExposure

`criterion, findImages`

### Methods inherited from class skyview.process.imagefinder.RectRecurse

`cornerMatch, edgeOff, getCandidate, getImage, getInputLimits, minDist, printOut, setStrict`

### Methods inherited from class skyview.process.ImageFinder

`factory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GalexExposure

public GalexExposure()

## Method Details

### radiusSquared

protected double radiusSquared(double tx, double ty, double nx, double ny, int index, Image input)
Find the square of the offset from the center of the field of view.

Overrides:
  `radiusSquared` in class `RectRecurse`
Parameters:
  `tx` - The x value of the first point.
  `ty` - The y value of the first point.
  `nx` - The width of the image.
  `ny` - the height of the image.
Returns:
  the distance squared from the center of the image.